Documentation Index
Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
Use this file to discover all available pages before exploring further.
CogVideoX-3 新增首尾帧生成功能,画面稳定度、清晰度大幅提升,主体大幅度运动流畅自然,指令遵循与物理真实模拟更佳,还提升了高清现实及 3D 风格场景表现。
推荐使用场景电商广告,文旅,动漫,影视剧或短视频的场景。
模型参数
- 模型ID:
cogvideox-3
- 模型价格:你可以在模型广场查看最新价格信息
- 调用入口:
https://geekai.co/api/v1/videos/generations
- 模型参数:参考视频 API 手册
- API认证:获取 API KEY
文生视频
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "cogvideox-3",
"prompt": "A cat is playing with a ball.",
"quality": "quality",
"with_audio": true,
"size": "1920x1080",
"fps": 30
}'
响应是一个 JSON 对象,包含生成图片的 URL:
{
"model": "cogvideox-3",
"task_id": "036f6493-ee8f-49aa-ba8e-41ad672e5ff8",
"task_status": "succeed",
"video_result": [
{
"id": "7f88690b-d50b-4c8e-992d-e226a7bb9ae8",
"url": "https://static.geekai.co/video/2026/02/10/ef397d1604a74f426dd0916195c5f044.mp4"
}
]
}
下面图生视频生成响应结构是一样的,不再列举。
图生视频
单张
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "cogvideox-3",
"prompt": "让画面动起来",
"image": "https://img.iplaysoft.com/wp-content/uploads/2019/free-images/free_stock_photo.jpg",
"quality": "quality",
"with_audio": true,
"size": "1920x1080",
"fps": 30
}'
首尾帧
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "cogvideox-3",
"prompt": "让画面动起来",
"image": [ "https://cdn.bigmodel.cn/markdown/1752547801491cogvideo4.png", "https://cdn.bigmodel.cn/markdown/1752547813297cogvideo5.png" ]
"quality": "speed",
"with_audio": true,
"size": "1920x1080",
"fps": 30,
}'
{
"model": "cogvideox-3",
"task_id": "500e61f7-dffc-47cd-8bca-ef001e01042f",
"task_status": "succeed",
"video_result": [
{
"id": "c2e95541-88f7-4cec-a9db-2a30b44021e3",
"url": "https://static.geekai.co/video/2026/02/10/3fc62b4e065183b55443069936bf2ada.mp4"
}
]
}